package org.foxarmy.barcodescannerforemployees.activities

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.core.content.ContextCompat
import org.foxarmy.barcodescannerforemployees.databinding.ActivityExpiryCalendarBinding

class ExpiryCalendarActivity : AppCompatActivity() {
    private lateinit var binding: ActivityExpiryCalendarBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityExpiryCalendarBinding.inflate(layoutInflater)
        setContentView(binding.root)

    }

    fun displayDate(date:Long) {
        val expiryCalendarGroupActivityIntent = Intent(this, ExpiryCalendarGroupActivity::class.java)
        val extras = Bundle()
        extras.putLong("date", date)
        expiryCalendarGroupActivityIntent.putExtras(extras)
        ContextCompat.startActivity(this, expiryCalendarGroupActivityIntent, extras)

//        val shelfFragment = ShelfFragment.newInstance(date)
//        val ft = supportFragmentManager.beginTransaction()
//        ft.replace(R.id.include_content, shelfFragment)
//        ft.commit()
//        ft.addToBackStack(null)
    }
}